## com.lowagie.text.pdf
Class PdfSpotColor

    java.lang.Object
      com.lowagie.text.pdf.PdfSpotColor

    public class PdfSpotColor

extends java.lang.Object

A `PdfSpotColor` defines a ColorSpace

See Also:
  `PdfDictionary`

Field Summary
`java.awt.Color` `altcs` The alternative color space
`PdfName` `name` The color name
`protected float` `tint`

Constructor Summary
`PdfSpotColor(java.lang.String name, float tint, java.awt.Color altcs)` Constructs a new `PdfSpotColor`.

Method Summary
`java.awt.Color` `getAlternativeCS()` Gets the alternative ColorSpace.
`protected PdfObject` `getSpotObject(PdfWriter writer)`
`float` `getTint()` Gets the tint of the SpotColor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tint

    protected float tint

### name

    public PdfName name

  The color name

### altcs

    public java.awt.Color altcs

  The alternative color space

Constructor Detail

### PdfSpotColor

    public PdfSpotColor(java.lang.String name,
                        float tint,
                        java.awt.Color altcs)

  Constructs a new `PdfSpotColor`.

  Parameters:
    `name` - a String value
    `tint` - a tint value between 0 and 1
    `altcs` - a altnative colorspace value

Method Detail

### getTint

    public float getTint()

  Gets the tint of the SpotColor.

  Returns:
    a float

### getAlternativeCS

    public java.awt.Color getAlternativeCS()

  Gets the alternative ColorSpace.

  Returns:
    a Colot

### getSpotObject

    protected PdfObject getSpotObject(PdfWriter writer)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`